Не устанавливается Pyrit.

Discussion in 'Песочница' started by MOHAX_228, 28 Feb 2016.

  1. MOHAX_228

    MOHAX_228 New Member

    Joined:
    16 Feb 2016
    Messages:
    39
    Likes Received:
    1
    Reputations:
    0
    Всем привет пробую установить себе на ноут Pyrit, но при выполнении вот этих действий
    Code:
    cd pyrit_svn/pyrit/
    python setup.py build
    python setup.py install
    выдаёт
    Code:
    mohax@PC:~/pyrit_svn/pyrit$ python setup.py build
    running build
    running build_py
    running build_ext
    running build_scripts
    mohax@PC:~/pyrit_svn/pyrit$ python setup.py install
    running install
    running build
    running build_py
    running build_ext
    running build_scripts
    running install_lib
    writing byte-compilation script '/tmp/tmpNTJD5Q.py'
    /usr/bin/python -O /tmp/tmpNTJD5Q.py
    removing /tmp/tmpNTJD5Q.py
    running install_scripts
    changing mode of /usr/local/bin/pyrit to 755
    error: [Errno 1] Operation not permitted: '/usr/local/bin/pyrit'
    mohax@PC:~/pyrit_svn/pyrit$ 
    Подскажите, пожалуйста, в чём дело.
    ----------------------------------------------------
    Ubuntu 14.04, Nvidia 410M
     
  2. MOHAX_228

    MOHAX_228 New Member

    Joined:
    16 Feb 2016
    Messages:
    39
    Likes Received:
    1
    Reputations:
    0
    Проблема в отсутствии прав суперпользователя, но почему-то Pyrit не видит мою видеокарту. Делал всё по этому мануалу https://webware.biz/?p=3267
     
  3. rct

    rct Active Member

    Joined:
    13 Jun 2015
    Messages:
    359
    Likes Received:
    107
    Reputations:
    7
  4. MOHAX_228

    MOHAX_228 New Member

    Joined:
    16 Feb 2016
    Messages:
    39
    Likes Received:
    1
    Reputations:
    0
    Так и не заработало.
    Попробую завтра переставить дрова и вообще начать всё сначала.
    Вот только интересно одно, что раньше показатели теста давали как минимум 600 на каждое ядро, а сейчас еле до 6 сотен дотягивают и с каждым разом всё печальнее и печальнее.
    Code:
    mohax@PC:~/Загрузки$ optirun pyrit benchmark
    modprobe: FATAL: Module nvidia-uvm not found.
    Pyrit 0.4.0 (C) 2008-2011 Lukas Lueg http://pyrit.googlecode.com
    This code is distributed under the GNU General Public License v3+
    
    Running benchmark (617.6 PMKs/s)... \
    
    Computed 617.58 PMKs/s total.
    #1: 'CPU-Core (SSE2)': 334.5 PMKs/s (RTT 3.0)
    #2: 'CPU-Core (SSE2)': 337.2 PMKs/s (RTT 3.2)
    mohax@PC:~/Загрузки$ pyrit benchmark
    Pyrit 0.4.0 (C) 2008-2011 Lukas Lueg http://pyrit.googlecode.com
    This code is distributed under the GNU General Public License v3+
    
    Running benchmark (421.0 PMKs/s)... |
    
    Computed 420.99 PMKs/s total.
    #1: 'CPU-Core (SSE2)': 235.6 PMKs/s (RTT 3.4)
    #2: 'CPU-Core (SSE2)': 231.1 PMKs/s (RTT 3.2)
    
     
  5. rct

    rct Active Member

    Joined:
    13 Jun 2015
    Messages:
    359
    Likes Received:
    107
    Reputations:
    7
    Не?
     
  6. 50_Terabytes

    50_Terabytes Member

    Joined:
    16 May 2015
    Messages:
    179
    Likes Received:
    50
    Reputations:
    3
    если честно, то сегодня страдал той же хренью. пытался поставить проприетарные дрова от AMD - выдало ошибку сначала в отсутствии headers, хотя у меня они стояли, пришлось скопировать якобы "отсутствующий" файл в другую директорию, откуда и скормил инсталлятору. но он опять выдал мне кучу ошибок, возможно дело в зависимостях, а перелопачивать систему не собираюсь, т.к. вполне возможно приведет к ее неработоспособности.
    а сама проблема в том, что у меня 2 видеокарты, одна - Интел, другая - АМД, но из этого pyrit видит только Интел. ось - Kali 2 (Debian).
    кто уже сталкивался с этим и как решили эту проблему? сейчас из под винды сижу, конфигурацию и выводы команд скину позже, если надо.
     
  7. rct

    rct Active Member

    Joined:
    13 Jun 2015
    Messages:
    359
    Likes Received:
    107
    Reputations:
    7
    Мыши плакали, кололись, но упорно продолжали жрать кактус...
     
    HaronSVD likes this.
  8. MOHAX_228

    MOHAX_228 New Member

    Joined:
    16 Feb 2016
    Messages:
    39
    Likes Received:
    1
    Reputations:
    0
    Ну да, вот по этому я и говорю, что попробую переставить дровишки. Или вообще начать всё с чистого листа.
     
  9. rct

    rct Active Member

    Joined:
    13 Jun 2015
    Messages:
    359
    Likes Received:
    107
    Reputations:
    7
    Поставь нормальный дистрибутив и перестань собирать из исходников, если не можешь разрулить зависимости руками.
     
  10. fl00der

    fl00der Moderator

    Joined:
    17 Dec 2008
    Messages:
    1,028
    Likes Received:
    306
    Reputations:
    86
    Открою страшную тайну - скрипты на Python (и Ruby) могут запустить только их разработчики, и то лишь в том же окружении, где разрабатывали. Это такая особенность языка - поганое разрешение зависимостей и еще куча дополнительных проблем, вывод - скрипты на Питоне не предназначены для распространения, им нужен человек, который будет их запускать и быть он должен хотя бы начинающим питон разработчиком (знания других языков, судя по опыту, мало помогают).
     
    _________________________
  11. rct

    rct Active Member

    Joined:
    13 Jun 2015
    Messages:
    359
    Likes Received:
    107
    Reputations:
    7
    Ну зачем в крайности? Просто ТС не в курсе про пакетный менеджер, который умеет рулить зависимостями. Иначе как объяснить то, что он собирает из исходников?

    https://packages.debian.org/sid/pyrit
     
    gazazell and MOHAX_228 like this.
  12. 50_Terabytes

    50_Terabytes Member

    Joined:
    16 May 2015
    Messages:
    179
    Likes Received:
    50
    Reputations:
    3
    Вот меня именно дрова волнуют... ну есть пирит, есть дрова свои амдшные от xorg, нафиг пирит не видит мою видеокарту? может есть соответствующие конфиги у того или другого, которые просто можно пофиксить и ничего левого не ставить?
     
  13. rct

    rct Active Member

    Joined:
    13 Jun 2015
    Messages:
    359
    Likes Received:
    107
    Reputations:
    7
    Я хуею с таких линуксоидов.

    На https://webware.biz/?p=3499
     
    MOHAX_228 likes this.
  14. rct

    rct Active Member

    Joined:
    13 Jun 2015
    Messages:
    359
    Likes Received:
    107
    Reputations:
    7
  15. MOHAX_228

    MOHAX_228 New Member

    Joined:
    16 Feb 2016
    Messages:
    39
    Likes Received:
    1
    Reputations:
    0
    Как написали в мануале, так и устанавливаем :D
     
  16. rct

    rct Active Member

    Joined:
    13 Jun 2015
    Messages:
    359
    Likes Received:
    107
    Reputations:
    7
    Удачи.
     
  17. lifescore

    lifescore Elder - Старейшина

    Joined:
    27 Aug 2011
    Messages:
    632
    Likes Received:
    497
    Reputations:
    69
    хз я на винду спокойно заинсталил, если ТС тебе тож на винду и не справился еще, пиши в ЛС, вспомню по ходу дела что там нужно было
    эту ставил

    https://github.com/EntryEs/pyrit
     
  18. 50_Terabytes

    50_Terabytes Member

    Joined:
    16 May 2015
    Messages:
    179
    Likes Received:
    50
    Reputations:
    3
    Уже пробовал подобную инструкцию, возникают проблемы с зависимостями. вот вывод apt-get
    apt-get install fglrx-driver
    Чтение списков пакетов… Готово
    Построение дерева зависимостей
    Чтение информации о состоянии… Готово
    Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,
    или же используете нестабильную версию дистрибутива, где запрошенные вами
    пакеты ещё не созданы или были удалены из Incoming.
    Следующая информация, возможно, поможет вам:

    Пакеты, имеющие неудовлетворённые зависимости:
    fglrx-driver : Зависит: xorg-video-abi-18 но он не может быть установлен или
    xorg-video-abi-15 но он не может быть установлен или
    xorg-video-abi-14 но он не может быть установлен или
    xorg-video-abi-13 но он не может быть установлен или
    xorg-video-abi-12 но он не может быть установлен или
    xorg-video-abi-11 но он не может быть установлен или
    xorg-video-abi-10 но он не может быть установлен или
    xorg-video-abi-8 но он не может быть установлен или
    xorg-video-abi-6.0 но он не может быть установлен
    Рекомендует: fglrx-modules-dkms (= 1:14.12-2.1) но он не будет установлен или
    fglrx-kernel-14.12
    Рекомендует: libgl1-fglrx-glx (= 1:14.12-2.1) но он не будет установлен
    Рекомендует: libgl1-fglrx-glx-i386
    Рекомендует: fglrx-atieventsd но он не будет установлен
    E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.
    вывод aptitude:
    aptitude install fglrx-driver
    Следующие НОВЫЕ пакеты будут установлены:
    fglrx-driver{b} libfglrx{a} libfglrx:i386{a} libfglrx-amdxvba1{a} libfglrx-amdxvba1:i386{a} libgl1-fglrx-glx{a} libgl1-fglrx-glx:i386{a} libgl1-fglrx-glx-i386:i386{a}
    0 пакетов обновлено, 8 установлено новых, 0 пакетов отмечено для удаления, и 0 пакетов не обновлено.
    Необходимо получить 35,1 MB архивов. После распаковки 164 MB будет занято.
    Следующие пакеты имеют неудовлетворённые зависимости:
    fglrx-driver : Зависит: xorg-video-abi-18 который является виртуальным пакетом. или
    xorg-video-abi-15 который является виртуальным пакетом. или
    xorg-video-abi-14 который является виртуальным пакетом. или
    xorg-video-abi-13 который является виртуальным пакетом. или
    xorg-video-abi-12 который является виртуальным пакетом. или
    xorg-video-abi-11 который является виртуальным пакетом. или
    xorg-video-abi-10 который является виртуальным пакетом. или
    xorg-video-abi-8 который является виртуальным пакетом. или
    xorg-video-abi-6.0 который является виртуальным пакетом.
    Следующие действия разрешат зависимости:

    Сохранить для следующих пакетов их текущие версии:
    1) fglrx-driver [Не установлен]



    Принять данное решение? [Y/n/q/?] Y
    Ни одного пакета не будет установлено, обновлено или удалено.
    0 пакетов обновлено, 0 установлено новых, 0 пакетов отмечено для удаления, и 0 пакетов не обновлено.
    Необходимо получить 0 B архивов. После распаковки 0 B будет занято.
    пакетов, которые он просит - в репах нет. или я опять что-то не так делаю?
     
  19. rct

    rct Active Member

    Joined:
    13 Jun 2015
    Messages:
    359
    Likes Received:
    107
    Reputations:
    7
    У тебя репы дебиана есть?
     
  20. 50_Terabytes

    50_Terabytes Member

    Joined:
    16 May 2015
    Messages:
    179
    Likes Received:
    50
    Reputations:
    3
    Только родные от Кали. есть еще сторонние ppa, но чисто для 1-2 нужных мне пакетов, закомментировал на время.
    #

    # deb cdrom:[Debian GNU/Linux 2.0 _Sana_ - Official Snapshot amd64 LIVE/INSTALL Binary 20150811-08:02]/ sana contrib main non-free

    #deb cdrom:[Debian GNU/Linux 2.0 _Sana_ - Official Snapshot amd64 LIVE/INSTALL Binary 20150811-08:02]/ sana contrib main non-free

    deb http://http.kali.org/kali sana main non-free contrib
    deb-src http://http.kali.org/kali sana main non-free contrib

    deb http://security.kali.org/kali-security/ sana/updates main contrib non-free
    deb-src http://security.kali.org/kali-security/ sana/updates main contrib non-free
    #deb http://ppa.launchpad.net/webupd8team/java/ubuntu lucid main
    #deb http://ppa.launchpad.net/webupd8team/sublime-text-2/ubuntu lucid main
     
Loading...